Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()`
    `` | `public void` | `setDir(String dir)`
    `` | `public void` | `setVerbose(boolean v)`
    `` | `public void` | `visitEnd()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setCaseSensitive, addDate, setIncludes, setExcludes, setFollowSymlinks, setProject, addSelector, setDefaultexcludes, createExclude, setExcludesfile, selectorCount, appendSelector, addOr, createExcludesFile, createInclude, setIncludesfile, selectorElements, addNot, createPatternSet, createIncludesFile, addFilename, addMajority, addCustom, addContains, addDepth, addModified, addSize, addPresent, addDifferent, XsetItems, XsetIgnore, addNone, addContainsRegexp, addDepend, getSelectors, hasSelectors, addAnd, log, log, log, log, init, execute, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, getTaskType, setTaskName, getOwningTarget, setOwningTarget, setTaskType, maybeConfigure, getTaskName, perform, bindToOwner, reconfigure, clone, getLocation, getDescription, setDescription, setLocation, getProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### @Override
      public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)

    - #### @Override
      public void visitEnd()